package com.zhentao.groups.controller;

import com.zhentao.groups.dto.*;
import com.zhentao.groups.service.GroupsService;
import com.zhentao.tool.TokenUtils;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RequestMapping("/group")
@RestController
public class groupsController {


    @Autowired
    private GroupsService groupsService;


//  创建群聊
    @PostMapping("/addGroup")
    public Result addGroup(@RequestBody AddGroupsDto addGroupsDto, @RequestHeader("token") String token){
        Long userIdFromToken = Long.valueOf(TokenUtils.getUserIdFromToken(token));
        addGroupsDto.setCreatorId(userIdFromToken);
        return groupsService.addGroup(addGroupsDto);
    }


//    添加好友
    @PostMapping("/AddGroupMembers")
    public Result AddGroupMembers(@RequestBody AddGroupMembers addGroupMembers){
        return groupsService.AddGroupMembers(addGroupMembers);
    }

//    展示可以拉取的好友
    @PostMapping("/selectAddGroup")
    public Result selectAddGroup(@RequestBody AddUserLoginDto addUserLoginDto,@RequestHeader("token") String token){
        Long userIdFromToken = Long.valueOf(TokenUtils.getUserIdFromToken(token));
        addUserLoginDto.setUid(userIdFromToken);
        return groupsService.selectAddGroup(addUserLoginDto);
    }

//    提出群聊
    @PostMapping("/DelGroupMembers")
    public Result DelGroupMembers(@RequestBody DelGroupMembers delGroupMembers,@RequestHeader("token") String token){
        Long userIdFromToken = Long.valueOf(TokenUtils.getUserIdFromToken(token));
        delGroupMembers.setUId(userIdFromToken);
        return groupsService.DelGroupMembers(delGroupMembers);
    }

//  查询群聊聊的用户
    @PostMapping("/getGroupUsers")
    public Result getGroupUsers(@RequestBody AddUserLoginDto addUserLoginDto){
        return groupsService.getGroupUsers(addUserLoginDto);
    }

    // 根据群ID获取群详细信息
    @GetMapping("/getGroupDetails/{groupId}")
    public Result getGroupDetails(@PathVariable Long groupId, @RequestHeader("token") String token){
        // 可以选择在这里添加权限验证，确保只有群成员或管理员才能查看
        return groupsService.getGroupDetails(groupId);
    }

//    更改用户角色
    @PostMapping("/updateGroupMemberRole")
    public Result updateGroupMemberRole(@RequestBody UpdateGroupMemberRoleDto updateGroupMemberRoleDto){
        return groupsService.updateGroupMemberRole(updateGroupMemberRoleDto);
    }


    // 退出群聊
    @PostMapping("/outGroup")
    public Result outGroup(@RequestBody OutGroupDto outGroupDto, @RequestHeader("token") String token){
        Long currentUserId = Long.valueOf(TokenUtils.getUserIdFromToken(token));
        return groupsService.outGroup(outGroupDto, currentUserId);
    }

    //    解散群聊
    @PostMapping("/delGroup")
    public Result delGroup(@RequestBody OutGroupsDto outGroupsDto, @RequestHeader("token") String token){
        Long userIdFromToken = Long.valueOf(TokenUtils.getUserIdFromToken(token));
        outGroupsDto.setUid(userIdFromToken);
        return groupsService.delGroup(outGroupsDto);
    }




}
