package com.zhentao.groups.service;


import com.zhentao.groups.dto.*;
import com.zhentao.groups.pojo.Groupss;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.user.domain.UserLogin;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;

import java.util.List;

/**
* @author lzy
* @description 针对表【groups(群组表)】的数据库操作Service
* @createDate 2025-06-04 16:00:48
*/
public interface GroupsService extends IService<Groupss> {

//    创建群聊
    Result addGroup(com.zhentao.groups.dto.AddGroupsDto addGroupsDto);


//        添加人数
    Result AddGroupMembers(AddGroupMembers addGroupMembers);
//    拉人的列表
    Result selectAddGroup(AddUserLoginDto addUserLoginDto);



//    删除人数
    Result DelGroupMembers(DelGroupMembers delGroupMembers);
//  查询所有的一个群ID
    List<GroupDto> getList();


//    查询该群聊的用户信息
    public Result getGroupUsers(AddUserLoginDto groupId);

//    根据群ID查询群详细信息
    Result getGroupDetails(Long groupId);

    // 更新群成员角色
    Result updateGroupMemberRole(UpdateGroupMemberRoleDto updateGroupMemberRoleDto);



    //     退出群聊
    Result outGroup(OutGroupDto outGroupDto, Long currentUserId);
    //    解散群聊
    Result delGroup(OutGroupsDto outGroupsDto);

}
