package com.zhentao.information.entity;

import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.index.Indexed;

/**
 * 聊天消息实体类（MongoDB）
 */
@Data
@Document(collection = "chat_messages")
public class ChatMessage {

    @Id
    private String id;

    @Indexed
    private String fromUserId;

    @Indexed
    private String toUserId;

    private String content;

    private String type;

    private Long timestamp;

    private Boolean isRead;

    // 复合索引：用于查询两个用户之间的聊天记录
    @Indexed
    private String chatId;
    // 新增文件元数据
    private String fileUrl;      // OSS访问地址
    private String fileName;     // 原始文件名
    private String fileType;     // MIME类型
    private Long fileSize;       // 文件大小(字节)
    private String avatar; // 新增：发送者头像

    public String getAvatar() {
        return avatar;
    }
    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
}
