package com.zhentao.moment.enums;

public enum ContentTypeEnum {
    TEXT(1, "文本"),
    IMAGE(2, "图片"),
    VIDEO(3, "视频");
    private final Integer code;
    private final String desc;

    ContentTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    public static ContentTypeEnum getByCodeOrThrow(int code) {
        for (ContentTypeEnum e : values()) {
            if (e.code == code) {
                return e;
            }
        }
        throw new IllegalArgumentException("不支持的内容类型：" + code);
    }
    // 根据 code 获取枚举
//    public static ContentTypeEnum getByCode(Integer code) {
//        for (ContentTypeEnum type : values()) {
//            if (type.code.equals(code)) {
//                return type;
//            }
//        }
//        // 不存在时可抛异常或返回默认值，根据业务决定
//        throw new IllegalArgumentException("无效的 content_type: " + code);
//    }
//
//    // getter
//    public Integer getCode() {
//        return code;
//    }
//
//    public String getDesc() {
//        return desc;
//    }
}
