package com.zhentao.user.controller;

import com.zhentao.config.NullLogin;
import com.zhentao.user.dto.LocationDto;
import com.zhentao.user.service.UserLocationService;
import com.zhentao.user.service.UserOnlineStatusService;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/location")
public class LocationController {
    @Autowired
    public UserLocationService userLocationService;
    @Autowired
    private UserOnlineStatusService onlineStatusService;

    @PostMapping("/update")
    public Result updateLocation(@RequestBody LocationDto locationDto, @RequestHeader("token") String token) {
        return userLocationService.updateUserLocation(locationDto,token);
    }
    @PostMapping("/getNearbyUsers")
    public Result getNearbyUsers(@RequestBody LocationDto locationDto, @RequestHeader("token") String token) {
        return userLocationService.getNearbyUsers(locationDto,token);
    }
    @PostMapping("/heartbeat")
    public void heartbeat(HttpServletRequest request) {
        onlineStatusService.handleHeartbeat(request);
    }
}