package com.zhentao.user.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户在线状态表
 * @TableName user_online_status
 */
@TableName(value ="user_online_status")
@Data
public class UserOnlineStatus implements Serializable {
    /**
     * 用户ID
     */
    @TableId
    private Long userId;

    /**
     * 是否在线(0:离线,1:在线)
     */
    private Integer isOnline;

    /**
     * 上线时间
     */
    private Date onlineTime;

    /**
     * 最后心跳时间
     */
    private Date lastHeartbeatTime;

    /**
     * 设备信息
     */
    private String deviceInfo;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        UserOnlineStatus other = (UserOnlineStatus) that;
        return (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getIsOnline() == null ? other.getIsOnline() == null : this.getIsOnline().equals(other.getIsOnline()))
            && (this.getOnlineTime() == null ? other.getOnlineTime() == null : this.getOnlineTime().equals(other.getOnlineTime()))
            && (this.getLastHeartbeatTime() == null ? other.getLastHeartbeatTime() == null : this.getLastHeartbeatTime().equals(other.getLastHeartbeatTime()))
            && (this.getDeviceInfo() == null ? other.getDeviceInfo() == null : this.getDeviceInfo().equals(other.getDeviceInfo()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getIsOnline() == null) ? 0 : getIsOnline().hashCode());
        result = prime * result + ((getOnlineTime() == null) ? 0 : getOnlineTime().hashCode());
        result = prime * result + ((getLastHeartbeatTime() == null) ? 0 : getLastHeartbeatTime().hashCode());
        result = prime * result + ((getDeviceInfo() == null) ? 0 : getDeviceInfo().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", userId=").append(userId);
        sb.append(", isOnline=").append(isOnline);
        sb.append(", onlineTime=").append(onlineTime);
        sb.append(", lastHeartbeatTime=").append(lastHeartbeatTime);
        sb.append(", deviceInfo=").append(deviceInfo);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}