package com.zhentao.user.service.impl;

import com.zhentao.user.service.EmailService;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.mail.javamail.MimeMessageHelper;
import org.springframework.stereotype.Service;

import javax.mail.internet.MimeMessage;
import java.util.Random;
import java.util.concurrent.TimeUnit;

@Service
public class EmailServiceImpl implements EmailService {
    @Autowired
    private JavaMailSender mailSender;

    @Autowired
    private RedisTemplate<String,String>redisTemplate;
    @SneakyThrows
    @Override
    public void sendVerificationEmail(String to) {
        MimeMessage message = mailSender.createMimeMessage();
        MimeMessageHelper helper = new MimeMessageHelper(message, true, "UTF-8");
        helper.setFrom("vx3181048507@126.com");
        helper.setTo(to);
        helper.setSubject("邮箱验证");
        Random random = new Random();
        // 生成0-999999之间的随机数
        int code = random.nextInt(1000000);
        String strCode=String.format("%06d", code);
        String htmlContent = "您的邮箱注册验证码:"+strCode+",验证码有效期为30分钟,请尽快完成验证";
        helper.setText(htmlContent);
        mailSender.send(message);
        redisTemplate.opsForValue().set(to,strCode,30, TimeUnit.MINUTES);
    }
}
