package com.zhentao.userRelationships.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * 用户好友关系表
 * @TableName user_relationships
 */
@TableName(value ="user_relationships")
@Data
public class UserRelationships implements Serializable {
    /**
     * 关系ID
     */
    @TableId(type = IdType.AUTO)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 好友ID
     */
    private Long friendId;

    /**
     * 好友备注
     */
    private String remark;

    /**
     * 状态（0-待确认，1-已好友，2-已拉黑）
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 更新时间
     */
    private Date updatedAt;

    /**
     * 0 没加入 1加入黑名单
     */
    private Integer isBlacklist;

    /**
     * 0没有删除 1已删除
     */
    private Integer isDel;

    /**
     * 0可以观看 1不能观看朋友圈
     */
    private Integer isMoments;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
