package com.zhentao.userRelationships.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 好友请求表
 * @TableName user_request
 */
@TableName(value ="user_request")
@Data
public class UserRequest implements Serializable {
    /**
     * 请求id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 发送者id
     */
    private String sendId;

    /**
     * 接收者id
     */
    private String receiverId;

    /**
     * 请求消息
     */
    private String message;

    /**
     * 状态（0待处理 1已同意 2已拒绝 3一户罗）
     */
    private Integer status;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 处理时间
     */
    private Date handledTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}